
#include "MainWindow.h"
#include "Game.h"



Game::Game( MainWindow& wnd )
	:
	wnd( wnd ),
	gfx( wnd )
{

}

void Game::Go()
{
	gfx.BeginFrame();	
	UpdateModel();
	ComposeFrame();
	gfx.EndFrame();
}

void Game::UpdateModel()
{
	tools.Update(gfx, wnd.mouse, wnd.kbd);
}



void Game::ComposeFrame()
{
	
	tools.Draw(gfx, wnd.mouse);
	
}














