#pragma once
#include <math.h>
#include "Vec2.h"
#include "RectI.h"


class Collision
{
public:
	
	float distance(Vec2 p0, Vec2 p1);
	float distanceXY(float x0, float y0, float x1, float y1);
	bool inRange(int value, int min, int max);
	bool pointInRect(int x, int y, RectI rect);
	bool circleCollision(Vec2 c0, Vec2 c1, float c0Radius, float c1Radius);
	bool circlePointCollision(float x, float y, Vec2 circle, float radius);
	Vec2 lineIntersect(Vec2 p0, Vec2 p1, Vec2 p2, Vec2 p3);
};
