#pragma once

#include "Keyboard.h"
#include "Mouse.h"
#include "Graphics.h"
#include "Tools.h"
#include "Camera.h"
#include "Font.h"
#include "Vei2.h"



using namespace std;
class Game
{
public:
	Game( class MainWindow& wnd );
	Game( const Game& ) = delete;
	Game& operator=( const Game& ) = delete;
	void Go();
private:
	void ComposeFrame();
	void UpdateModel();
	
private:
	MainWindow& wnd;
	Graphics gfx;
	Tools tools;
	Camera camera;
	//Sprites
	//Functions


	//Variables
	
};